View Issue Details

IDProjectCategoryView StatusLast Update
00293012.x IDE BugsPreferencesPublic2018-10-30 11:42
ReporterSam CummingAssigned ToClaire Hall 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.1.4 
Target Version2.2.1Fixed in Version2.2.1 
Summary0029301: Preferences: Setting Resource Tree 'Resource Label' to 'Use Default' causes Resource labels to disappear
DescriptionIf you set the Resource Label in Resource Tree > Colours in Preferences to 'Use Default' (or Size to 'Use Default'), the Resource Tree will no longer render text for any Resource labels.

When the setting is initially committed, the Resource Tree will update as expected to reflect your change, however if you close the IDE and restart it, the Resource labels will no longer render.
Steps To Reproduce1. Open any project.
2. Create multiple Resources.
3. Go to Preferences > Resource Tree > Colours, change Resource Label Font Name to 'Use Default' and Size to 'Use Default'.
4. Change the Default font type to any font.
5. Commit your changes.
6. Observe that the Resource Tree reflects your changes if you've changed other settings in Resource Tree).
7. Restart the IDE, open any project.
8. Observe that Labels no longer render. Category names will still appear, but individual Resource's labels no longer appear.
Additional InformationNote that if you make any changes to the Default font and apply it, the labels will appear again until you restart the IDE.
TagsNo tags attached.
2.x IDE Found In2.1.4.288
2.x Runtime Found In2.1.4.203
2.x IDE Verified In2.2.1.357
2.x Runtime Verified In2.2.1.269

Activities

Dan

2018-04-16 09:20

Adminstrator   ~0058713

Not reproducing for me.

"Open Sans" is the actual default, btw, for anyone who gets this issue. Simply set your Preference back to this to fix.

Russell Kay

2018-06-14 16:23

Manager   ~0060316

Possible fixed previously

Sam Cumming

2018-06-27 11:38

Developer   ~0060666

Replicated > 2.1.5.312 / rt 2.1.5.235 - This still happens, will update repro-steps for more reliability - Reopening.